﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TreeViewAdv_WPF
{
    public class Model : INotifyPropertyChanged
    {
        private string header;

        public string Header
        {
            get
            {
                return header;
            }
            set
            {
                header = value;
                RaisePropertyChanged(Header);
            }
        }

        private bool Isexpanded;

       
        public bool IsExpanded
        {
            get
            {
                return Isexpanded;
            }
            set
            {
                Isexpanded = value;
                
            }
        }

        private ObservableCollection<Model> subItems = new ObservableCollection<Model>();

        public ObservableCollection<Model> SubItems
        {
            get { return subItems; }
            set { subItems = value; }
        }

        private int invokeParameter = 1;

        public int InvokeParameter
        {
            get { return invokeParameter; }
            set { invokeParameter = value; RaisePropertyChanged("InvokeParameter"); }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(string propertyname)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyname));
            }
        }
    }
}
