﻿using Syncfusion.Windows.Shared;
using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;

namespace TreeViewAdv_WPF
{
    public class ViewModel
    {

        public ViewModel()
        {
            TreeItems = new ObservableCollection<Model>();
            GetTreeViewItem();
            MouseDownClick = new DelegateCommand<object>(MouseDownClicked);
        }

        private ObservableCollection<Model> treeItems ;

        public ObservableCollection<Model> TreeItems
        {
            get
            {
                return treeItems;
            }
            set
            {
                treeItems = value;
            }
        }

      

        private void GetTreeViewItem()
        {
            Model modelItems;
            for (int i = 1; i <= 10; i++)
            {

                modelItems = new Model() { Header = "Module " + i.ToString(), IsExpanded = true };

                for (int j = 1; j <= 3; j++)
                {
                    Model modelSubItems;

                    modelSubItems = new Model() { Header = "Sub Module " + i.ToString() + "." + j.ToString() };


                    modelItems.SubItems.Add(modelSubItems);

                }
                TreeItems.Add(modelItems);
            }
        }

        private ICommand mouseDownClick;
        public ICommand MouseDownClick
        {
            get { return mouseDownClick; }
            set { mouseDownClick = value; }
        }

        private void MouseDownClicked(object model)
        {
            //Perform your actions.
            MessageBox.Show("Loading");
        }

       

    }
}


